Commit ff840b26 authored by Robert's avatar Robert

Merge branch 'master' into release-2-3

parents 341a0fdc 93853a9b
Pipeline #1277 failed with stage
in 1 minute and 50 seconds
......@@ -41,5 +41,11 @@ endif =
# sentry configuration
if-exists = /etc/stadtgestalten/enable_sentry
# Sentry catches a lot of OSError exceptions caused by clients
# prematurely closing the connection. This is not something
# we want to know about.
ignore-sigpipe = true
ignore-write-errors = true
disable-write-exception = True
env = SENTRY_ENABLE=true
endif =
<input type="checkbox" id="menu-search" class="dropdown-state" data-search-state data-menu-group="main">
<label for="menu-search" class="nav-menu-item nav-menu-item-square nav-state-toggle"
aria-label="Zeige Suche an" tabindex="0"
aria-label="Zeige Suche an" tabindex="0" title="Suchen"
data-component="openable" data-openable-target="#menu-search-dropdown">
<span class="nav-tab-icon">
<i class="sg sg-search"></i>
......
......@@ -2,7 +2,7 @@ BIN_NODE_SYSTEM = $(shell hash nodejs 2>/dev/null && echo nodejs || hash node 2>
BIN_NODE ?= $(DIR_BUILD)/node/bin/node
BIN_NODE_PKG ?= $(DIR_BUILD)/node/bin/npm
NODE_VERSION = $(shell hash "$(BIN_NODE_SYSTEM)" && "$(BIN_NODE_SYSTEM)" -v || echo "v0.0.0")
NODE_VERSION = $(shell hash "$(BIN_NODE_SYSTEM)" 2>/dev/null && "$(BIN_NODE_SYSTEM)" -v || echo "v0.0.0")
NODE_VERSION_MIN = v8.9.1
NODE_URL_X86 = https://nodejs.org/dist/$(NODE_VERSION_MIN)/node-$(NODE_VERSION_MIN)-linux-x86.tar.xz
NODE_URL_X64 = https://nodejs.org/dist/$(NODE_VERSION_MIN)/node-$(NODE_VERSION_MIN)-linux-x64.tar.xz
......
This diff is collapsed.
......@@ -2,7 +2,6 @@
"name": "stadtgestalten",
"title": "Stadtgestalten",
"description": "Stadtgestalten ist eine Plattform um lokale Vernetzung zu fördern",
"version": "2.1.8",
"license": "AGPL-3.0",
"engines": {
"node": ">=6.4.0"
......@@ -11,59 +10,63 @@
"test": "true",
"lint": "standard 'res/**/*.{js,vue}' 'webpack/**/*.js'"
},
"repository": {
"type": "git",
"url": "https://git.hack-hro.de/stadtgestalten/stadtgestalten.git"
},
"devDependencies": {
"autoprefixer": "^7.2.6",
"babel-core": "^6.25.0",
"babel-eslint": "^8.2.2",
"babel-loader": "^7.1.3",
"babel-core": "^6.26.3",
"babel-eslint": "^8.2.3",
"babel-loader": "^7.1.4",
"babel-plugin-lodash": "^3.3.2",
"babel-plugin-syntax-dynamic-import": "^6.18.0",
"babel-plugin-transform-async-to-generator": "^6.24.1",
"babel-plugin-transform-es2015-unicode-regex": "^6.24.1",
"babel-plugin-transform-regenerator": "^6.26.0",
"babel-plugin-transform-remove-console": "^6.9.0",
"babel-plugin-transform-remove-debugger": "^6.9.0",
"babel-plugin-transform-remove-console": "^6.9.4",
"babel-plugin-transform-remove-debugger": "^6.9.4",
"babel-plugin-transform-runtime": "^6.23.0",
"babel-plugin-transform-xregexp": "0.0.6",
"babel-preset-env": "^1.6.1",
"babel-preset-env": "^1.7.0",
"babel-preset-es2015": "^6.18.0",
"babel-preset-stage-2": "^6.22.0",
"babel-root-slash-import": "^1.1.0",
"css-loader": "^0.28.10",
"css-loader": "^0.28.11",
"csswring": "v4.2.3",
"eslint-plugin-html": "^3.1.1",
"extract-text-webpack-plugin": "^3.0.2",
"favicons-webpack-plugin": "0.0.7",
"file-loader": "^1.1.9",
"favicons-webpack-plugin": "0.0.9",
"file-loader": "^1.1.11",
"html-loader": "^0.5.5",
"html-webpack-plugin": "^2.30.1",
"json-loader": "^0.5.7",
"less": "^2.7.3",
"less-loader": "^4.0.5",
"lodash-webpack-plugin": "^0.11.4",
"less-loader": "^4.1.0",
"lodash-webpack-plugin": "^0.11.5",
"modernizr-loader": "^1.0.1",
"postcss": "^6.0.19",
"postcss": "^6.0.22",
"postcss-banner": ">=1",
"postcss-custom-properties": "^6.3.1",
"postcss-loader": "^2.1.1",
"postcss-loader": "^2.1.5",
"standard": "^10.0.2",
"svgo": "^0.7.2",
"svgo-loader": "^1.2.1",
"vue-loader": "^13.7.1",
"vue-template-compiler": "^2.5.13",
"webpack": "^3.11.0",
"webpack-bundle-analyzer": "^2.11.0",
"vue-template-compiler": "^2.5.16",
"webpack": "^3.12.0",
"webpack-bundle-analyzer": "^2.13.1",
"webpack-bundle-size-analyzer": "^2.7.0",
"webpack-pwa-manifest": "^3.5.0"
"webpack-pwa-manifest": "^3.6.2"
},
"dependencies": {
"animejs": "^2.1.8",
"autosize": "^4.0.0",
"autosize": "^4.0.2",
"axios": "^0.16.2",
"babel-runtime": "^6.20.0",
"bel": "^5.1.7",
"bootstrap": "^3.3.6",
"bowser": "^1.9.2",
"bowser": "^1.9.3",
"clipboard": "^1.7.1",
"closest": "0.0.1",
"cookie_js": "^1.2.0",
......@@ -75,28 +78,28 @@
"font-awesome": "^4.5.0",
"get-input-selection": "^1.1.4",
"imagesloaded": "^4.1.4",
"lodash": "^4.17.5",
"lodash": "^4.17.10",
"lodash-move": "^1.1.1",
"luett": "^2.6.0",
"masonry-layout": "^4.2.1",
"matches-selector-polyfill": "^1.0.0",
"modernizr": "^3.5.0",
"moment": "^2.20.1",
"node-fontdump": "^1.2.1",
"modernizr": "^3.6.0",
"moment": "^2.22.1",
"node-fontdump": "^1.2.2",
"object-assign-shim": "^1.0.0",
"photoswipe": "^4.1.2",
"popper.js": "^1.13.0",
"popper.js": "^1.14.3",
"postcss-cli": "^4.1.0",
"postcss-less-engine": "^0.6.2",
"q": "^1.5.1",
"random-color": "^1.0.1",
"random-id": "^0.0.2",
"simplemde": "git://github.com/stadtgestalten/simplemde-markdown-editor.git#translatable-prompt-texts",
"stroll.js": "^3.0.2",
"tether": "^1.4.3",
"stroll.js": "^3.0.3",
"tether": "^1.4.4",
"tether-drop": "^1.4.2",
"tether-tooltip": "^1.2.0",
"vue": "^2.5.13",
"vue": "^2.5.16",
"vue-on-click-outside": "^1.0.3",
"vue-tabs-component": "git+https://github.com/stadtgestalten/vue-tabs-component.git#dist",
"vuedraggable": "^2.16.0"
......
......@@ -25,5 +25,5 @@ requests # debian: python3-requests
rules # debian (buster): python3-django-rules
translitcodec # NOT IN DEBIAN
xapian-haystack # debian (buster): python3-xapian-haystack
# xapian-haystack also requires the xapian python bindings that youll find
# xapian-haystack also requires the xapian python bindings that you'll find
# as "python3-xapian" in Debian/Ubuntu and "python-xapian" in ArchLinux
......@@ -213,6 +213,7 @@
.content-meta-extra {
color: @color-text-extralight;
font-size: @font-size-small;
font-weight: normal;
}
.content-header {
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment